Dashboard
Get upcoming scheduled runs
Retrieve list of upcoming scheduled simulation runs with scenario name, next run time, and frequency information.
GET
/
dashboard
/
upcoming-scheduled-runs
Get upcoming scheduled runs
curl --request GET \
--url https://api-trial.cognigy.ai/testing/dashboard/upcoming-scheduled-runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-trial.cognigy.ai/testing/dashboard/upcoming-scheduled-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-trial.cognigy.ai/testing/dashboard/upcoming-scheduled-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"simulationReference": "sim-ref-123",
"simulationName": "Customer Support Flow Test",
"nextRun": "2024-01-20T10:00:00Z",
"frequency": "Daily",
"batchId": "batch-id-456",
"status": "IN_PROGRESS",
"frequencyValue": "0 10 * * *",
"batchName": "Daily Customer Support Test"
}
]
}{
"error": "<string>",
"field": "<string>",
"code": "<string>",
"traceId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"traceId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"traceId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"traceId": "<string>"
}Authorizations
bearerAuthapiKeyAuth
JWT Bearer Token for authentication
Query Parameters
Project identifier
Filter by scenario/simulation reference IDs (comma-separated or array). If not provided, includes all scenarios.
Maximum number of upcoming scheduled runs to return
Required range:
1 <= x <= 100Response
Upcoming scheduled runs retrieved successfully
Array of upcoming scheduled runs
Show child attributes
Show child attributes
Last modified on July 2, 2026
⌘I
Get upcoming scheduled runs
